package com.sf.day11;

import java.io.FileNotFoundException;

public class Test02 {
    public static void main(String[] args){
//        String[] person = {"lisa","rose","jenny"};
//        try {
//            for (int i= 0;i<person.length;i++){
//                System.out.println(person[i]);
//            }
//            return;
////            System.exit(0);
//        }catch (Exception e){
//            System.out.println("走catch");
//            e.printStackTrace();
//        }finally {
//            System.out.println("程序执行结束。。。");
//        }

//        int test = test("123");
//        System.out.println(test);

        int test = test();
        System.out.println(test);
    }

    public static int test(){
        int i = 200;
        try {
            return i;
        }finally {
           return ++i;
        }
    }

//    public static int test(String str){
//        try {
//            Integer.valueOf(str);
//            return 1;
//        }catch (NumberFormatException e){
//            e.printStackTrace();
//            return -1;
//        }finally {
//            System.out.println("test结束");
//            return 0;
//        }
//    }
}
